"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAllWorkspaces = getAllWorkspaces;

var _execa = _interopRequireDefault(require("execa"));

var _getModularRoot = _interopRequireDefault(require("./getModularRoot"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const modularRoot = (0, _getModularRoot.default)();
let workspaces;

function getAllWorkspaces() {
  if (!workspaces) {
    workspaces = JSON.parse(_execa.default.sync('yarnpkg', ['workspaces', 'info'], {
      all: true,
      reject: false,
      cwd: modularRoot,
      cleanup: true
    }).stdout);
  }

  return workspaces;
}